<div class="rows">
  @if (grid.isSortedOrFiltered$ | async) {
    <i
      nz-icon
      nzType="sqtm-core-infolist-item:unavailable"
      nzTheme="outline"
      class="cannot-drag-icon"
      [attr.data-test-element-id]="'cannot-drag-icon'"
    ></i>
  } @else {
    @for (dataRow of dataRows; track dataRow) {
      <div
        [attr.data-test-grid-row-dragged-content]="dataRow.id"
        class="row txt-ellipsis"
      >
        {{ getText(dataRow) }}
      </div>
    }
  }
</div>
